Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class GetPropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.beasys.commerce.ebusiness.catalog.tags.GetPropertyTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated

    @Deprecated
    public class GetPropertyTag

extends javax.servlet.jsp.tagext.TagSupport

See Also
  Serialized Form

Field Summary
`Object` | `getterArgument` Deprecated The optional argument used for certain getters
`String` | `id` Deprecated The name of the page context attribute to store the property
`Object` | `object` Deprecated The object from which the property will be retrieved
`String` | `propertyName` Deprecated The name of the property to return a value for
`String` | `returnType` Deprecated The return type of the retrieved property

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetPropertyTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated Called when the tag starts.
`Object` | `getGetterArgument()` Deprecated Get the value of getterArgument.
`String` | `getId()` Deprecated Get the value of id.
`Object` | `getObject()` Deprecated Get the value of object.
`String` | `getPropertyName()` Deprecated Get the value of propertyName.
`String` | `getReturnType()` Deprecated Get the value of returnType.
`void` | `release()` Deprecated Release.
`void` | `setGetterArgument(Object newGetterArgument)` Deprecated Set the value of getterArgument.
`void` | `setId(String newId)` Deprecated Set the value of id.
`void` | `setObject(Object o)` Deprecated Set the value of object.
`void` | `setPropertyName(String name)` Deprecated Set the value of propertyName.
`void` | `setReturnType(String newReturnType)` Deprecated Set the value of returnType.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyName

    public String propertyName

  Deprecated
  The name of the property to return a value for

### object

    public Object object

  Deprecated
  The object from which the property will be retrieved

### id

    public String id

  Deprecated
  The name of the page context attribute to store the property

### returnType

    public String returnType

  Deprecated
  The return type of the retrieved property

### getterArgument

    public Object getterArgument

  Deprecated
  The optional argument used for certain getters

Constructor Detail

### GetPropertyTag

    public GetPropertyTag()

  Deprecated

Method Detail

### setPropertyName

    public void setPropertyName(String name)

  Deprecated
  Set the value of propertyName.

  Parameters
    `name` - Value to assign to propertyName.

### getPropertyName

    public String getPropertyName()

  Deprecated
  Get the value of propertyName.

  Returns
    Value of propertyName.

### setObject

    public void setObject(Object o)

  Deprecated
  Set the value of object.

  Parameters
    `o` - Object to assign to object.

### getObject

    public Object getObject()

  Deprecated
  Get the value of object.

  Returns
    Value of object.

### setId

    public void setId(String newId)

  Deprecated
  Set the value of id.

  Overrides:
    `setId` in class `javax.servlet.jsp.tagext.TagSupport`
  Parameters
    `newId` - Value to assign to id.

### getId

    public String getId()

  Deprecated
  Get the value of id.

  Overrides:
    `getId` in class `javax.servlet.jsp.tagext.TagSupport`
  Returns
    Value of id.

### setReturnType

    public void setReturnType(String newReturnType)

  Deprecated
  Set the value of returnType.

  Parameters
    `newReturnType` - Value to assign to returnType.

### getReturnType

    public String getReturnType()

  Deprecated
  Get the value of returnType.

  Returns
    Value of returnType.

### setGetterArgument

    public void setGetterArgument(Object newGetterArgument)

  Deprecated
  Set the value of getterArgument.

  Parameters
    `newGetterArgument` - Value to assign to getterArgument.

### getGetterArgument

    public Object getGetterArgument()

  Deprecated
  Get the value of getterArgument.

  Returns
    Value of getterArgument.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated
  Called when the tag starts.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Deprecated
  Release.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.